Debian Bug report logs - #434215
pixie: FTBFS: error: cast from 'char*' to 'int' loses precision

version graph

Package: pixie; Maintainer for pixie is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 22 Jul 2007 12:18:02 UTC

Severity: serious

Found in version pixie/2.2.1-1

Fixed in version 2.2.1-1+rm

Done: Raphael Geissert <atomo64@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to okan@cs.utexas.edu

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#434215; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: pixie: FTBFS: error: cast from 'char*' to 'int' loses precision
Date: Sun, 22 Jul 2007 14:14:41 +0200
Package: pixie
Version: 2.2.1-1
Severity: serious

Hi,

Your package is failing to build on 64 bit arches with the following
error:
rib.y: In function 'int ribparse()':
rib.y:2588: error: cast from 'char*' to 'int' loses precision
make[5]: *** [rib.lo] Error 1


Kurt




Noted your statement that Bug has been forwarded to okan@cs.utexas.edu. Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. (Sun, 22 Jul 2007 13:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#434215; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 434215@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 434215@bugs.debian.org, 432524@bugs.debian.org
Subject: Re: pixie is now officially part of debian (fwd)
Date: Mon, 23 Jul 2007 21:32:27 +0200
---------- Forwarded message ----------
Date: 2007-07-23 06:47:21 +0200
From: Okan Arikan <okan@cs.utexas.edu>
Subject: Re: pixie is now officially part of debian


	Hi Gurkan,

	Yes, we're working on this problem. The next version of Pixie has an  
updated interpreter that should play nicer with the compiler.

	The second problem should be fixed in 2.2.2.

	Thanks

	Okan

On Jul 22, 2007, at 8:03 AM, Gürkan Sengün wrote:

> Hello Okan
>
> I have two reports on pixie in Debian, one is
> that it needs about 1,2 GB of memory (and swap if not real memory  
> exists)
> to be built: is it possible to lower the memory usage for building  
> somehow?
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=432524
>
> Another is a bugreport
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=434215
>
> You can find the build details at:
> http://buildd.debian.org/build.php?arch=&pkg=pixie
>
> Yours,
> Guerkan







Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#434215; Package pixie. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #17 received at 434215@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Gürkan Sengün <gurkan@linuks.mine.nu>, 434215@bugs.debian.org
Cc: 432524@bugs.debian.org
Subject: Re: Bug#434215: pixie is now officially part of debian (fwd)
Date: Mon, 5 Nov 2007 18:11:45 +0100
On 23/07/07 at 21:32 +0200, Gürkan Sengün wrote:
> ---------- Forwarded message ----------
> Date: 2007-07-23 06:47:21 +0200
> From: Okan Arikan <okan@cs.utexas.edu>
> Subject: Re: pixie is now officially part of debian
> 
> 
> 	Hi Gurkan,
> 
> 	Yes, we're working on this problem. The next version of Pixie has an  
> updated interpreter that should play nicer with the compiler.
> 
> 	The second problem should be fixed in 2.2.2.

Version 2.2.2 has been released and is available on
https://sourceforge.net/project/showfiles.php?group_id=59462

I'm not sure if Okan's mail means that the first problem is fixed too in
this version, or not.

Lucas




Tags added: pending Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. (Wed, 07 Nov 2007 11:36:05 GMT) Full text and rfc822 format available.

Reply sent to Raphael Geissert <atomo64@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 434215-done@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: 434215-done@bugs.debian.org
Subject: pixie has been removed from Debian, closing #434215
Date: Sun, 20 Apr 2008 18:18:05 -0500
Version: 2.2.1-1+rm

The pixie package has been removed from Debian testing, unstable and
experimental, so I am now closing the remaining open bugs.

For more information about this package's removal, read
http://bugs.debian.org/476326 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
--
Raphael Geissert




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 10:01:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:25:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.